// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: sled_types.proto

package facility

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SledState_State int32

const (
	SledState_None    SledState_State = 0
	SledState_Waiting SledState_State = 1
	SledState_Stamp   SledState_State = 2
	SledState_Kexec   SledState_State = 3
)

// Enum value maps for SledState_State.
var (
	SledState_State_name = map[int32]string{
		0: "None",
		1: "Waiting",
		2: "Stamp",
		3: "Kexec",
	}
	SledState_State_value = map[string]int32{
		"None":    0,
		"Waiting": 1,
		"Stamp":   2,
		"Kexec":   3,
	}
)

func (x SledState_State) Enum() *SledState_State {
	p := new(SledState_State)
	*p = x
	return p
}

func (x SledState_State) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SledState_State) Descriptor() protoreflect.EnumDescriptor {
	return file_sled_types_proto_enumTypes[0].Descriptor()
}

func (SledState_State) Type() protoreflect.EnumType {
	return &file_sled_types_proto_enumTypes[0]
}

func (x SledState_State) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SledState_State.Descriptor instead.
func (SledState_State) EnumDescriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{7, 0}
}

type Backoff struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Time int64 `protobuf:"varint,1,opt,name=time,proto3" json:"time,omitempty"`
}

func (x *Backoff) Reset() {
	*x = Backoff{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Backoff) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Backoff) ProtoMessage() {}

func (x *Backoff) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Backoff.ProtoReflect.Descriptor instead.
func (*Backoff) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{0}
}

func (x *Backoff) GetTime() int64 {
	if x != nil {
		return x.Time
	}
	return 0
}

type SledAck struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Ack:
	//	*SledAck_None
	//	*SledAck_Standby
	//	*SledAck_Stamp
	//	*SledAck_Kexec
	//	*SledAck_Backoff
	Ack   isSledAck_Ack `protobuf_oneof:"ack"`
	Error string        `protobuf:"bytes,6,opt,name=error,proto3" json:"error,omitempty"`
}

func (x *SledAck) Reset() {
	*x = SledAck{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SledAck) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SledAck) ProtoMessage() {}

func (x *SledAck) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SledAck.ProtoReflect.Descriptor instead.
func (*SledAck) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{1}
}

func (m *SledAck) GetAck() isSledAck_Ack {
	if m != nil {
		return m.Ack
	}
	return nil
}

func (x *SledAck) GetNone() bool {
	if x, ok := x.GetAck().(*SledAck_None); ok {
		return x.None
	}
	return false
}

func (x *SledAck) GetStandby() string {
	if x, ok := x.GetAck().(*SledAck_Standby); ok {
		return x.Standby
	}
	return ""
}

func (x *SledAck) GetStamp() bool {
	if x, ok := x.GetAck().(*SledAck_Stamp); ok {
		return x.Stamp
	}
	return false
}

func (x *SledAck) GetKexec() bool {
	if x, ok := x.GetAck().(*SledAck_Kexec); ok {
		return x.Kexec
	}
	return false
}

func (x *SledAck) GetBackoff() bool {
	if x, ok := x.GetAck().(*SledAck_Backoff); ok {
		return x.Backoff
	}
	return false
}

func (x *SledAck) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

type isSledAck_Ack interface {
	isSledAck_Ack()
}

type SledAck_None struct {
	None bool `protobuf:"varint,1,opt,name=none,proto3,oneof"`
}

type SledAck_Standby struct {
	Standby string `protobuf:"bytes,2,opt,name=standby,proto3,oneof"`
}

type SledAck_Stamp struct {
	Stamp bool `protobuf:"varint,3,opt,name=stamp,proto3,oneof"`
}

type SledAck_Kexec struct {
	Kexec bool `protobuf:"varint,4,opt,name=kexec,proto3,oneof"`
}

type SledAck_Backoff struct {
	Backoff bool `protobuf:"varint,5,opt,name=backoff,proto3,oneof"`
}

func (*SledAck_None) isSledAck_Ack() {}

func (*SledAck_Standby) isSledAck_Ack() {}

func (*SledAck_Stamp) isSledAck_Ack() {}

func (*SledAck_Kexec) isSledAck_Ack() {}

func (*SledAck_Backoff) isSledAck_Ack() {}

type SledWaitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mac string   `protobuf:"bytes,1,opt,name=mac,proto3" json:"mac,omitempty"`
	Ack *SledAck `protobuf:"bytes,2,opt,name=ack,proto3" json:"ack,omitempty"`
}

func (x *SledWaitRequest) Reset() {
	*x = SledWaitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SledWaitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SledWaitRequest) ProtoMessage() {}

func (x *SledWaitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SledWaitRequest.ProtoReflect.Descriptor instead.
func (*SledWaitRequest) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{2}
}

func (x *SledWaitRequest) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

func (x *SledWaitRequest) GetAck() *SledAck {
	if x != nil {
		return x.Ack
	}
	return nil
}

type SledWaitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to WaitResponse:
	//	*SledWaitResponse_Standby
	//	*SledWaitResponse_Stamp
	//	*SledWaitResponse_Kexec
	//	*SledWaitResponse_Backoff
	WaitResponse isSledWaitResponse_WaitResponse `protobuf_oneof:"wait_response"`
	Error        bool                            `protobuf:"varint,6,opt,name=error,proto3" json:"error,omitempty"`
}

func (x *SledWaitResponse) Reset() {
	*x = SledWaitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SledWaitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SledWaitResponse) ProtoMessage() {}

func (x *SledWaitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SledWaitResponse.ProtoReflect.Descriptor instead.
func (*SledWaitResponse) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{3}
}

func (m *SledWaitResponse) GetWaitResponse() isSledWaitResponse_WaitResponse {
	if m != nil {
		return m.WaitResponse
	}
	return nil
}

func (x *SledWaitResponse) GetStandby() *Standby {
	if x, ok := x.GetWaitResponse().(*SledWaitResponse_Standby); ok {
		return x.Standby
	}
	return nil
}

func (x *SledWaitResponse) GetStamp() *Stamp {
	if x, ok := x.GetWaitResponse().(*SledWaitResponse_Stamp); ok {
		return x.Stamp
	}
	return nil
}

func (x *SledWaitResponse) GetKexec() *Kexec {
	if x, ok := x.GetWaitResponse().(*SledWaitResponse_Kexec); ok {
		return x.Kexec
	}
	return nil
}

func (x *SledWaitResponse) GetBackoff() *Backoff {
	if x, ok := x.GetWaitResponse().(*SledWaitResponse_Backoff); ok {
		return x.Backoff
	}
	return nil
}

func (x *SledWaitResponse) GetError() bool {
	if x != nil {
		return x.Error
	}
	return false
}

type isSledWaitResponse_WaitResponse interface {
	isSledWaitResponse_WaitResponse()
}

type SledWaitResponse_Standby struct {
	Standby *Standby `protobuf:"bytes,1,opt,name=standby,proto3,oneof"`
}

type SledWaitResponse_Stamp struct {
	Stamp *Stamp `protobuf:"bytes,2,opt,name=stamp,proto3,oneof"`
}

type SledWaitResponse_Kexec struct {
	Kexec *Kexec `protobuf:"bytes,3,opt,name=kexec,proto3,oneof"`
}

type SledWaitResponse_Backoff struct {
	Backoff *Backoff `protobuf:"bytes,4,opt,name=backoff,proto3,oneof"`
}

func (*SledWaitResponse_Standby) isSledWaitResponse_WaitResponse() {}

func (*SledWaitResponse_Stamp) isSledWaitResponse_WaitResponse() {}

func (*SledWaitResponse_Kexec) isSledWaitResponse_WaitResponse() {}

func (*SledWaitResponse_Backoff) isSledWaitResponse_WaitResponse() {}

type Standby struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Standby) Reset() {
	*x = Standby{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Standby) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Standby) ProtoMessage() {}

func (x *Standby) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Standby.ProtoReflect.Descriptor instead.
func (*Standby) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{4}
}

type Stamp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Device string `protobuf:"bytes,1,opt,name=device,proto3" json:"device,omitempty"`
	Image  string `protobuf:"bytes,2,opt,name=image,proto3" json:"image,omitempty"`
	Server string `protobuf:"bytes,3,opt,name=server,proto3" json:"server,omitempty"`
}

func (x *Stamp) Reset() {
	*x = Stamp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Stamp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Stamp) ProtoMessage() {}

func (x *Stamp) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Stamp.ProtoReflect.Descriptor instead.
func (*Stamp) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{5}
}

func (x *Stamp) GetDevice() string {
	if x != nil {
		return x.Device
	}
	return ""
}

func (x *Stamp) GetImage() string {
	if x != nil {
		return x.Image
	}
	return ""
}

func (x *Stamp) GetServer() string {
	if x != nil {
		return x.Server
	}
	return ""
}

type Kexec struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kernel    string `protobuf:"bytes,1,opt,name=kernel,proto3" json:"kernel,omitempty"`
	Initramfs string `protobuf:"bytes,2,opt,name=initramfs,proto3" json:"initramfs,omitempty"`
	Cmdline   string `protobuf:"bytes,3,opt,name=cmdline,proto3" json:"cmdline,omitempty"`
	Server    string `protobuf:"bytes,4,opt,name=server,proto3" json:"server,omitempty"`
}

func (x *Kexec) Reset() {
	*x = Kexec{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Kexec) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Kexec) ProtoMessage() {}

func (x *Kexec) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Kexec.ProtoReflect.Descriptor instead.
func (*Kexec) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{6}
}

func (x *Kexec) GetKernel() string {
	if x != nil {
		return x.Kernel
	}
	return ""
}

func (x *Kexec) GetInitramfs() string {
	if x != nil {
		return x.Initramfs
	}
	return ""
}

func (x *Kexec) GetCmdline() string {
	if x != nil {
		return x.Cmdline
	}
	return ""
}

func (x *Kexec) GetServer() string {
	if x != nil {
		return x.Server
	}
	return ""
}

type SledState struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	State SledState_State `protobuf:"varint,1,opt,name=state,proto3,enum=facility.SledState_State" json:"state,omitempty"`
}

func (x *SledState) Reset() {
	*x = SledState{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SledState) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SledState) ProtoMessage() {}

func (x *SledState) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SledState.ProtoReflect.Descriptor instead.
func (*SledState) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{7}
}

func (x *SledState) GetState() SledState_State {
	if x != nil {
		return x.State
	}
	return SledState_None
}

type SledStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *TaskStatus `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	Time   string      `protobuf:"bytes,2,opt,name=time,proto3" json:"time,omitempty"`
	Mac    string      `protobuf:"bytes,3,opt,name=mac,proto3" json:"mac,omitempty"` // for watching ease
}

func (x *SledStatus) Reset() {
	*x = SledStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sled_types_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SledStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SledStatus) ProtoMessage() {}

func (x *SledStatus) ProtoReflect() protoreflect.Message {
	mi := &file_sled_types_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SledStatus.ProtoReflect.Descriptor instead.
func (*SledStatus) Descriptor() ([]byte, []int) {
	return file_sled_types_proto_rawDescGZIP(), []int{8}
}

func (x *SledStatus) GetStatus() *TaskStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

func (x *SledStatus) GetTime() string {
	if x != nil {
		return x.Time
	}
	return ""
}

func (x *SledStatus) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

var File_sled_types_proto protoreflect.FileDescriptor

var file_sled_types_proto_rawDesc = []byte{
	0x0a, 0x10, 0x73, 0x6c, 0x65, 0x64, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x1a, 0x14, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x1d, 0x0a, 0x07, 0x42, 0x61, 0x63, 0x6b, 0x6f, 0x66, 0x66, 0x12, 0x12, 0x0a,
	0x04, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x74, 0x69, 0x6d,
	0x65, 0x22, 0xa4, 0x01, 0x0a, 0x07, 0x53, 0x6c, 0x65, 0x64, 0x41, 0x63, 0x6b, 0x12, 0x14, 0x0a,
	0x04, 0x6e, 0x6f, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x48, 0x00, 0x52, 0x04, 0x6e,
	0x6f, 0x6e, 0x65, 0x12, 0x1a, 0x0a, 0x07, 0x73, 0x74, 0x61, 0x6e, 0x64, 0x62, 0x79, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x07, 0x73, 0x74, 0x61, 0x6e, 0x64, 0x62, 0x79, 0x12,
	0x16, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x48, 0x00,
	0x52, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12, 0x16, 0x0a, 0x05, 0x6b, 0x65, 0x78, 0x65, 0x63,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x48, 0x00, 0x52, 0x05, 0x6b, 0x65, 0x78, 0x65, 0x63, 0x12,
	0x1a, 0x0a, 0x07, 0x62, 0x61, 0x63, 0x6b, 0x6f, 0x66, 0x66, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08,
	0x48, 0x00, 0x52, 0x07, 0x62, 0x61, 0x63, 0x6b, 0x6f, 0x66, 0x66, 0x12, 0x14, 0x0a, 0x05, 0x65,
	0x72, 0x72, 0x6f, 0x72, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f,
	0x72, 0x42, 0x05, 0x0a, 0x03, 0x61, 0x63, 0x6b, 0x22, 0x48, 0x0a, 0x0f, 0x53, 0x6c, 0x65, 0x64,
	0x57, 0x61, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x6d,
	0x61, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x12, 0x23, 0x0a,
	0x03, 0x61, 0x63, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x6c, 0x65, 0x64, 0x41, 0x63, 0x6b, 0x52, 0x03, 0x61,
	0x63, 0x6b, 0x22, 0xe9, 0x01, 0x0a, 0x10, 0x53, 0x6c, 0x65, 0x64, 0x57, 0x61, 0x69, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2d, 0x0a, 0x07, 0x73, 0x74, 0x61, 0x6e, 0x64,
	0x62, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x62, 0x79, 0x48, 0x00, 0x52, 0x07, 0x73,
	0x74, 0x61, 0x6e, 0x64, 0x62, 0x79, 0x12, 0x27, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x53, 0x74, 0x61, 0x6d, 0x70, 0x48, 0x00, 0x52, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12,
	0x27, 0x0a, 0x05, 0x6b, 0x65, 0x78, 0x65, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4b, 0x65, 0x78, 0x65, 0x63, 0x48,
	0x00, 0x52, 0x05, 0x6b, 0x65, 0x78, 0x65, 0x63, 0x12, 0x2d, 0x0a, 0x07, 0x62, 0x61, 0x63, 0x6b,
	0x6f, 0x66, 0x66, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x42, 0x61, 0x63, 0x6b, 0x6f, 0x66, 0x66, 0x48, 0x00, 0x52, 0x07,
	0x62, 0x61, 0x63, 0x6b, 0x6f, 0x66, 0x66, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x42, 0x0f, 0x0a,
	0x0d, 0x77, 0x61, 0x69, 0x74, 0x5f, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x09,
	0x0a, 0x07, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x62, 0x79, 0x22, 0x4d, 0x0a, 0x05, 0x53, 0x74, 0x61,
	0x6d, 0x70, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x69, 0x6d,
	0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x69, 0x6d, 0x61, 0x67, 0x65,
	0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x6f, 0x0a, 0x05, 0x4b, 0x65, 0x78, 0x65,
	0x63, 0x12, 0x16, 0x0a, 0x06, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x12, 0x1c, 0x0a, 0x09, 0x69, 0x6e, 0x69,
	0x74, 0x72, 0x61, 0x6d, 0x66, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x69, 0x6e,
	0x69, 0x74, 0x72, 0x61, 0x6d, 0x66, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6d, 0x64, 0x6c, 0x69,
	0x6e, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6d, 0x64, 0x6c, 0x69, 0x6e,
	0x65, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x72, 0x0a, 0x09, 0x53, 0x6c, 0x65,
	0x64, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x53, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x22, 0x34, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x12, 0x08, 0x0a, 0x04, 0x4e, 0x6f, 0x6e, 0x65, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x57, 0x61,
	0x69, 0x74, 0x69, 0x6e, 0x67, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x6d, 0x70,
	0x10, 0x02, 0x12, 0x09, 0x0a, 0x05, 0x4b, 0x65, 0x78, 0x65, 0x63, 0x10, 0x03, 0x22, 0x60, 0x0a,
	0x0a, 0x53, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x2c, 0x0a, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x10, 0x0a,
	0x03, 0x6d, 0x61, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x42,
	0x2a, 0x5a, 0x28, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65,
	0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61,
	0x70, 0x69, 0x3b, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_sled_types_proto_rawDescOnce sync.Once
	file_sled_types_proto_rawDescData = file_sled_types_proto_rawDesc
)

func file_sled_types_proto_rawDescGZIP() []byte {
	file_sled_types_proto_rawDescOnce.Do(func() {
		file_sled_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_sled_types_proto_rawDescData)
	})
	return file_sled_types_proto_rawDescData
}

var file_sled_types_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_sled_types_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_sled_types_proto_goTypes = []interface{}{
	(SledState_State)(0),     // 0: facility.SledState.State
	(*Backoff)(nil),          // 1: facility.Backoff
	(*SledAck)(nil),          // 2: facility.SledAck
	(*SledWaitRequest)(nil),  // 3: facility.SledWaitRequest
	(*SledWaitResponse)(nil), // 4: facility.SledWaitResponse
	(*Standby)(nil),          // 5: facility.Standby
	(*Stamp)(nil),            // 6: facility.Stamp
	(*Kexec)(nil),            // 7: facility.Kexec
	(*SledState)(nil),        // 8: facility.SledState
	(*SledStatus)(nil),       // 9: facility.SledStatus
	(*TaskStatus)(nil),       // 10: facility.TaskStatus
}
var file_sled_types_proto_depIdxs = []int32{
	2,  // 0: facility.SledWaitRequest.ack:type_name -> facility.SledAck
	5,  // 1: facility.SledWaitResponse.standby:type_name -> facility.Standby
	6,  // 2: facility.SledWaitResponse.stamp:type_name -> facility.Stamp
	7,  // 3: facility.SledWaitResponse.kexec:type_name -> facility.Kexec
	1,  // 4: facility.SledWaitResponse.backoff:type_name -> facility.Backoff
	0,  // 5: facility.SledState.state:type_name -> facility.SledState.State
	10, // 6: facility.SledStatus.status:type_name -> facility.TaskStatus
	7,  // [7:7] is the sub-list for method output_type
	7,  // [7:7] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_sled_types_proto_init() }
func file_sled_types_proto_init() {
	if File_sled_types_proto != nil {
		return
	}
	file_facility_types_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_sled_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Backoff); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SledAck); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SledWaitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SledWaitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Standby); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Stamp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Kexec); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SledState); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sled_types_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SledStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_sled_types_proto_msgTypes[1].OneofWrappers = []interface{}{
		(*SledAck_None)(nil),
		(*SledAck_Standby)(nil),
		(*SledAck_Stamp)(nil),
		(*SledAck_Kexec)(nil),
		(*SledAck_Backoff)(nil),
	}
	file_sled_types_proto_msgTypes[3].OneofWrappers = []interface{}{
		(*SledWaitResponse_Standby)(nil),
		(*SledWaitResponse_Stamp)(nil),
		(*SledWaitResponse_Kexec)(nil),
		(*SledWaitResponse_Backoff)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sled_types_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_sled_types_proto_goTypes,
		DependencyIndexes: file_sled_types_proto_depIdxs,
		EnumInfos:         file_sled_types_proto_enumTypes,
		MessageInfos:      file_sled_types_proto_msgTypes,
	}.Build()
	File_sled_types_proto = out.File
	file_sled_types_proto_rawDesc = nil
	file_sled_types_proto_goTypes = nil
	file_sled_types_proto_depIdxs = nil
}
